CMSIS-Driver: VIO.txt File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
VIO.txt File Reference

## Functions

void | vioInit (void)
| Initialize test input, output. More...
int32_t | vioPrint (uint32_t level, const char *format,...)
| Print formated string to test terminal. More...
void | vioSetSignal (uint32_t mask, uint32_t signal)
| Set signal output. More...
uint32_t | vioGetSignal (uint32_t mask)
| Get signal input. More...
void | vioSetValue (uint32_t id, int32_t value)
| Set value output. More...
int32_t | vioGetValue (uint32_t id)
| Get value input. More...
void | vioSetXYZ (uint32_t id, vioValueXYZ_t valueXYZ)
| Set XYZ value output. More...
vioValueXYZ_t | vioGetXYZ (uint32_t id)
| Get XYZ value input. More...
void | vioSetIPv4 (uint32_t id, vioAddrIPv4_t addrIPv4)
| Set IPv4 address output. More...
vioAddrIPv4_t | vioGetIPv4 (uint32_t id)
| Get IPv4 address input. More...
void | vioSetIPv6 (uint32_t id, vioAddrIPv6_t addrIPv6)
| Set IPv6 address output. More...
vioAddrIPv6_t | vioGetIPv6 (uint32_t id)
| Get IPv6 address from peripheral. More...